wibble::Location Struct Reference

`#include <test.h>`

## Public Member Functions

| Location (const char *f, int l, std::string st, int iter=-1)

## Public Attributes

const char * | file
int | line
int | iteration
std::string | stmt

## Constructor & Destructor Documentation

wibble::Location::Location | ( | const char * | f,
|  | int | l,
|  | std::string | st,
|  | int | iter = `-1`
| ) |  |

inline

## Member Data Documentation

const char* wibble::Location::file

Referenced by wibble::AssertFailed::AssertFailed().

int wibble::Location::iteration

Referenced by wibble::AssertFailed::AssertFailed().

int wibble::Location::line

Referenced by wibble::AssertFailed::AssertFailed().

std::string wibble::Location::stmt

Referenced by wibble::AssertFailed::AssertFailed().

The documentation for this struct was generated from the following file:

- test.h